"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scopeRepository = exports.ScopeRepository = void 0;
const model_1 = require("../model");
const service_common_1 = require("@crosslab/service-common");
class ScopeRepository extends service_common_1.AbstractRepository {
    constructor() {
        super('Scope');
    }
    initialize(AppDataSource) {
        this.repository = AppDataSource.getRepository(model_1.ScopeModel);
    }
    async write(model, data) {
        model.name = data;
    }
    async format(model) {
        return model.name;
    }
}
exports.ScopeRepository = ScopeRepository;
exports.scopeRepository = new ScopeRepository();
//# sourceMappingURL=scopeRepository.js.map