"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validatePostRegisterOutput = exports.validatePostRegisterInput = exports.validatePatchIdentityOutput = exports.validatePatchIdentityInput = exports.validateGetIdentityOutput = exports.validateGetIdentityInput = exports.validateDeleteRolesByRoleIdUsersOutput = exports.validateDeleteRolesByRoleIdUsersInput = exports.validatePostRolesByRoleIdUsersOutput = exports.validatePostRolesByRoleIdUsersInput = exports.validateGetRolesByRoleIdUsersOutput = exports.validateGetRolesByRoleIdUsersInput = exports.validateDeleteRolesByRoleIdOutput = exports.validateDeleteRolesByRoleIdInput = exports.validatePatchRolesByRoleIdOutput = exports.validatePatchRolesByRoleIdInput = exports.validateGetRolesByRoleIdOutput = exports.validateGetRolesByRoleIdInput = exports.validatePostRolesOutput = exports.validatePostRolesInput = exports.validateGetRolesOutput = exports.validateGetRolesInput = exports.validateDeleteUsersByUserIdRolesOutput = exports.validateDeleteUsersByUserIdRolesInput = exports.validatePostUsersByUserIdRolesOutput = exports.validatePostUsersByUserIdRolesInput = exports.validateGetUsersByUserIdRolesOutput = exports.validateGetUsersByUserIdRolesInput = exports.validateDeleteUsersByUserIdOutput = exports.validateDeleteUsersByUserIdInput = exports.validatePatchUsersByUserIdOutput = exports.validatePatchUsersByUserIdInput = exports.validateGetUsersByUserIdOutput = exports.validateGetUsersByUserIdInput = exports.validatePostUsersOutput = exports.validatePostUsersInput = exports.validateGetUsersOutput = exports.validateGetUsersInput = exports.validatePostDeviceAuthenticationTokenOutput = exports.validatePostDeviceAuthenticationTokenInput = exports.validatePostLogoutOutput = exports.validatePostLogoutInput = exports.validatePostLoginOutput = exports.validatePostLoginInput = exports.validateGetAuthOutput = exports.validateGetAuthInput = void 0;
/**
 * This file was automatically generated by openapi-codegeneration.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source OpenAPI file,
 * and run openapi-codegeneration to regenerate this file.
 */
const basicValidation = __importStar(require("./basicValidation"));
/**
 * This function validates the inputs of a GET request on /auth
 */
function validateGetAuthInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateAuthorizationRequest(parameters['Authorization']) &&
            parameters['Authorization'] !== undefined) {
            validateGetAuthInput.errors = basicValidation.validateAuthorizationRequest.errors;
            return false;
        }
        if (!basicValidation.validateXRealIPRequest(parameters['X-Real-IP']) &&
            parameters['X-Real-IP'] !== undefined) {
            validateGetAuthInput.errors = basicValidation.validateXRealIPRequest.errors;
            return false;
        }
        if (!basicValidation.validateXForwardedProtoRequest(parameters['X-Forwarded-Proto']) &&
            parameters['X-Forwarded-Proto'] !== undefined) {
            validateGetAuthInput.errors = basicValidation.validateXForwardedProtoRequest.errors;
            return false;
        }
    }
    else {
        if (parameters !== undefined) {
            return false;
        }
    }
    return true;
}
exports.validateGetAuthInput = validateGetAuthInput;
/**
 * This function validates the outputs to a GET request on /auth
 */
function validateGetAuthOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (response.headers) {
            if (!basicValidation.validateGetAuthHeaderAuthorizationResponse(response.headers['Authorization']) &&
                response.headers['Authorization'] !== undefined) {
                validateGetAuthOutput.errors = basicValidation.validateGetAuthHeaderAuthorizationResponse.errors;
                return false;
            }
        }
        else {
            if (response.headers !== undefined) {
                return false;
            }
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetAuthOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validateGetAuthOutput = validateGetAuthOutput;
/**
 * This function validates the inputs of a POST request on /login
 */
function validatePostLoginInput(body) {
    if (!basicValidation.validatePostLoginRequestBodyRequest(body)) {
        validatePostLoginInput.errors = basicValidation.validatePostLoginRequestBodyRequest.errors;
        return false;
    }
    return true;
}
exports.validatePostLoginInput = validatePostLoginInput;
/**
 * This function validates the outputs to a POST request on /login
 */
function validatePostLoginOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 201) {
        if (!basicValidation.validatePostLoginResponse201Response(response.body)) {
            validatePostLoginOutput.errors = basicValidation.validatePostLoginResponse201Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePostLoginOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validatePostLoginOutput = validatePostLoginOutput;
/**
 * This function validates the inputs of a POST request on /logout
 */
function validatePostLogoutInput(body) {
    if (!basicValidation.validatePostLogoutRequestBodyRequest(body)) {
        validatePostLogoutInput.errors = basicValidation.validatePostLogoutRequestBodyRequest.errors;
        return false;
    }
    return true;
}
exports.validatePostLogoutInput = validatePostLogoutInput;
/**
 * This function validates the outputs to a POST request on /logout
 */
function validatePostLogoutOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 204) {
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePostLogoutOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validatePostLogoutOutput = validatePostLogoutOutput;
/**
 * This function validates the inputs of a POST request on /device_authentication_token
 */
function validatePostDeviceAuthenticationTokenInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateDeviceUrlRequest(parameters['device_url'])) {
            validatePostDeviceAuthenticationTokenInput.errors = basicValidation.validateDeviceUrlRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
exports.validatePostDeviceAuthenticationTokenInput = validatePostDeviceAuthenticationTokenInput;
/**
 * This function validates the outputs to a POST request on /device_authentication_token
 */
function validatePostDeviceAuthenticationTokenOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 201) {
        if (!basicValidation.validatePostDeviceAuthenticationTokenResponse201Response(response.body)) {
            validatePostDeviceAuthenticationTokenOutput.errors = basicValidation.validatePostDeviceAuthenticationTokenResponse201Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePostDeviceAuthenticationTokenOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validatePostDeviceAuthenticationTokenOutput = validatePostDeviceAuthenticationTokenOutput;
/**
 * This function validates the inputs of a GET request on /users
 */
function validateGetUsersInput() {
    return true;
}
exports.validateGetUsersInput = validateGetUsersInput;
/**
 * This function validates the outputs to a GET request on /users
 */
function validateGetUsersOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validateGetUsersResponse200Response(response.body)) {
            validateGetUsersOutput.errors = basicValidation.validateGetUsersResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetUsersOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validateGetUsersOutput = validateGetUsersOutput;
/**
 * This function validates the inputs of a POST request on /users
 */
function validatePostUsersInput(body) {
    if (!basicValidation.validatePostUsersRequestBodyRequest(body)) {
        validatePostUsersInput.errors = basicValidation.validatePostUsersRequestBodyRequest.errors;
        return false;
    }
    return true;
}
exports.validatePostUsersInput = validatePostUsersInput;
/**
 * This function validates the outputs to a POST request on /users
 */
function validatePostUsersOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 201) {
        if (!basicValidation.validatePostUsersResponse201Response(response.body)) {
            validatePostUsersOutput.errors = basicValidation.validatePostUsersResponse201Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePostUsersOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validatePostUsersOutput = validatePostUsersOutput;
/**
 * This function validates the inputs of a GET request on /users/{user_id}
 */
function validateGetUsersByUserIdInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateUserIdRequest(parameters['user_id'])) {
            validateGetUsersByUserIdInput.errors = basicValidation.validateUserIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
exports.validateGetUsersByUserIdInput = validateGetUsersByUserIdInput;
/**
 * This function validates the outputs to a GET request on /users/{user_id}
 */
function validateGetUsersByUserIdOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validateGetUsersByUserIdResponse200Response(response.body)) {
            validateGetUsersByUserIdOutput.errors = basicValidation.validateGetUsersByUserIdResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetUsersByUserIdOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validateGetUsersByUserIdOutput = validateGetUsersByUserIdOutput;
/**
 * This function validates the inputs of a PATCH request on /users/{user_id}
 */
function validatePatchUsersByUserIdInput(parameters, body) {
    if (parameters) {
        if (!basicValidation.validateUserIdRequest(parameters['user_id'])) {
            validatePatchUsersByUserIdInput.errors = basicValidation.validateUserIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    if (body === undefined) {
        return true;
    }
    if (!basicValidation.validatePatchUsersByUserIdRequestBodyRequest(body)) {
        validatePatchUsersByUserIdInput.errors = basicValidation.validatePatchUsersByUserIdRequestBodyRequest.errors;
        return false;
    }
    return true;
}
exports.validatePatchUsersByUserIdInput = validatePatchUsersByUserIdInput;
/**
 * This function validates the outputs to a PATCH request on /users/{user_id}
 */
function validatePatchUsersByUserIdOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validatePatchUsersByUserIdResponse200Response(response.body)) {
            validatePatchUsersByUserIdOutput.errors = basicValidation.validatePatchUsersByUserIdResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePatchUsersByUserIdOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validatePatchUsersByUserIdOutput = validatePatchUsersByUserIdOutput;
/**
 * This function validates the inputs of a DELETE request on /users/{user_id}
 */
function validateDeleteUsersByUserIdInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateUserIdRequest(parameters['user_id'])) {
            validateDeleteUsersByUserIdInput.errors = basicValidation.validateUserIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
exports.validateDeleteUsersByUserIdInput = validateDeleteUsersByUserIdInput;
/**
 * This function validates the outputs to a DELETE request on /users/{user_id}
 */
function validateDeleteUsersByUserIdOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 204) {
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateDeleteUsersByUserIdOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validateDeleteUsersByUserIdOutput = validateDeleteUsersByUserIdOutput;
/**
 * This function validates the inputs of a GET request on /users/{user_id}/roles
 */
function validateGetUsersByUserIdRolesInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateUserIdRequest(parameters['user_id'])) {
            validateGetUsersByUserIdRolesInput.errors = basicValidation.validateUserIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
exports.validateGetUsersByUserIdRolesInput = validateGetUsersByUserIdRolesInput;
/**
 * This function validates the outputs to a GET request on /users/{user_id}/roles
 */
function validateGetUsersByUserIdRolesOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validateGetUsersByUserIdRolesResponse200Response(response.body)) {
            validateGetUsersByUserIdRolesOutput.errors = basicValidation.validateGetUsersByUserIdRolesResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetUsersByUserIdRolesOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validateGetUsersByUserIdRolesOutput = validateGetUsersByUserIdRolesOutput;
/**
 * This function validates the inputs of a POST request on /users/{user_id}/roles
 */
function validatePostUsersByUserIdRolesInput(parameters, body) {
    if (parameters) {
        if (!basicValidation.validateUserIdRequest(parameters['user_id'])) {
            validatePostUsersByUserIdRolesInput.errors = basicValidation.validateUserIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    if (body === undefined) {
        return true;
    }
    if (!basicValidation.validatePostUsersByUserIdRolesRequestBodyRequest(body)) {
        validatePostUsersByUserIdRolesInput.errors = basicValidation.validatePostUsersByUserIdRolesRequestBodyRequest.errors;
        return false;
    }
    return true;
}
exports.validatePostUsersByUserIdRolesInput = validatePostUsersByUserIdRolesInput;
/**
 * This function validates the outputs to a POST request on /users/{user_id}/roles
 */
function validatePostUsersByUserIdRolesOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 204) {
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePostUsersByUserIdRolesOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validatePostUsersByUserIdRolesOutput = validatePostUsersByUserIdRolesOutput;
/**
 * This function validates the inputs of a DELETE request on /users/{user_id}/roles
 */
function validateDeleteUsersByUserIdRolesInput(parameters, body) {
    if (parameters) {
        if (!basicValidation.validateUserIdRequest(parameters['user_id'])) {
            validateDeleteUsersByUserIdRolesInput.errors = basicValidation.validateUserIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    if (body === undefined) {
        return true;
    }
    if (!basicValidation.validateDeleteUsersByUserIdRolesRequestBodyRequest(body)) {
        validateDeleteUsersByUserIdRolesInput.errors = basicValidation.validateDeleteUsersByUserIdRolesRequestBodyRequest.errors;
        return false;
    }
    return true;
}
exports.validateDeleteUsersByUserIdRolesInput = validateDeleteUsersByUserIdRolesInput;
/**
 * This function validates the outputs to a DELETE request on /users/{user_id}/roles
 */
function validateDeleteUsersByUserIdRolesOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 204) {
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateDeleteUsersByUserIdRolesOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validateDeleteUsersByUserIdRolesOutput = validateDeleteUsersByUserIdRolesOutput;
/**
 * This function validates the inputs of a GET request on /roles
 */
function validateGetRolesInput() {
    return true;
}
exports.validateGetRolesInput = validateGetRolesInput;
/**
 * This function validates the outputs to a GET request on /roles
 */
function validateGetRolesOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validateGetRolesResponse200Response(response.body)) {
            validateGetRolesOutput.errors = basicValidation.validateGetRolesResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetRolesOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validateGetRolesOutput = validateGetRolesOutput;
/**
 * This function validates the inputs of a POST request on /roles
 */
function validatePostRolesInput(body) {
    if (body === undefined) {
        return true;
    }
    if (!basicValidation.validatePostRolesRequestBodyRequest(body)) {
        validatePostRolesInput.errors = basicValidation.validatePostRolesRequestBodyRequest.errors;
        return false;
    }
    return true;
}
exports.validatePostRolesInput = validatePostRolesInput;
/**
 * This function validates the outputs to a POST request on /roles
 */
function validatePostRolesOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 201) {
        if (!basicValidation.validatePostRolesResponse201Response(response.body)) {
            validatePostRolesOutput.errors = basicValidation.validatePostRolesResponse201Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePostRolesOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validatePostRolesOutput = validatePostRolesOutput;
/**
 * This function validates the inputs of a GET request on /roles/{role_id}
 */
function validateGetRolesByRoleIdInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateRoleIdRequest(parameters['role_id'])) {
            validateGetRolesByRoleIdInput.errors = basicValidation.validateRoleIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
exports.validateGetRolesByRoleIdInput = validateGetRolesByRoleIdInput;
/**
 * This function validates the outputs to a GET request on /roles/{role_id}
 */
function validateGetRolesByRoleIdOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validateGetRolesByRoleIdResponse200Response(response.body)) {
            validateGetRolesByRoleIdOutput.errors = basicValidation.validateGetRolesByRoleIdResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetRolesByRoleIdOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validateGetRolesByRoleIdOutput = validateGetRolesByRoleIdOutput;
/**
 * This function validates the inputs of a PATCH request on /roles/{role_id}
 */
function validatePatchRolesByRoleIdInput(parameters, body) {
    if (parameters) {
        if (!basicValidation.validateRoleIdRequest(parameters['role_id'])) {
            validatePatchRolesByRoleIdInput.errors = basicValidation.validateRoleIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    if (body === undefined) {
        return true;
    }
    if (!basicValidation.validatePatchRolesByRoleIdRequestBodyRequest(body)) {
        validatePatchRolesByRoleIdInput.errors = basicValidation.validatePatchRolesByRoleIdRequestBodyRequest.errors;
        return false;
    }
    return true;
}
exports.validatePatchRolesByRoleIdInput = validatePatchRolesByRoleIdInput;
/**
 * This function validates the outputs to a PATCH request on /roles/{role_id}
 */
function validatePatchRolesByRoleIdOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validatePatchRolesByRoleIdResponse200Response(response.body)) {
            validatePatchRolesByRoleIdOutput.errors = basicValidation.validatePatchRolesByRoleIdResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePatchRolesByRoleIdOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validatePatchRolesByRoleIdOutput = validatePatchRolesByRoleIdOutput;
/**
 * This function validates the inputs of a DELETE request on /roles/{role_id}
 */
function validateDeleteRolesByRoleIdInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateRoleIdRequest(parameters['role_id'])) {
            validateDeleteRolesByRoleIdInput.errors = basicValidation.validateRoleIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
exports.validateDeleteRolesByRoleIdInput = validateDeleteRolesByRoleIdInput;
/**
 * This function validates the outputs to a DELETE request on /roles/{role_id}
 */
function validateDeleteRolesByRoleIdOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 204) {
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateDeleteRolesByRoleIdOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validateDeleteRolesByRoleIdOutput = validateDeleteRolesByRoleIdOutput;
/**
 * This function validates the inputs of a GET request on /roles/{role_id}/users
 */
function validateGetRolesByRoleIdUsersInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateRoleIdRequest(parameters['role_id'])) {
            validateGetRolesByRoleIdUsersInput.errors = basicValidation.validateRoleIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
exports.validateGetRolesByRoleIdUsersInput = validateGetRolesByRoleIdUsersInput;
/**
 * This function validates the outputs to a GET request on /roles/{role_id}/users
 */
function validateGetRolesByRoleIdUsersOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validateGetRolesByRoleIdUsersResponse200Response(response.body)) {
            validateGetRolesByRoleIdUsersOutput.errors = basicValidation.validateGetRolesByRoleIdUsersResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetRolesByRoleIdUsersOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validateGetRolesByRoleIdUsersOutput = validateGetRolesByRoleIdUsersOutput;
/**
 * This function validates the inputs of a POST request on /roles/{role_id}/users
 */
function validatePostRolesByRoleIdUsersInput(parameters, body) {
    if (parameters) {
        if (!basicValidation.validateRoleIdRequest(parameters['role_id'])) {
            validatePostRolesByRoleIdUsersInput.errors = basicValidation.validateRoleIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    if (body === undefined) {
        return true;
    }
    if (!basicValidation.validatePostRolesByRoleIdUsersRequestBodyRequest(body)) {
        validatePostRolesByRoleIdUsersInput.errors = basicValidation.validatePostRolesByRoleIdUsersRequestBodyRequest.errors;
        return false;
    }
    return true;
}
exports.validatePostRolesByRoleIdUsersInput = validatePostRolesByRoleIdUsersInput;
/**
 * This function validates the outputs to a POST request on /roles/{role_id}/users
 */
function validatePostRolesByRoleIdUsersOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 204) {
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePostRolesByRoleIdUsersOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validatePostRolesByRoleIdUsersOutput = validatePostRolesByRoleIdUsersOutput;
/**
 * This function validates the inputs of a DELETE request on /roles/{role_id}/users
 */
function validateDeleteRolesByRoleIdUsersInput(parameters, body) {
    if (parameters) {
        if (!basicValidation.validateRoleIdRequest(parameters['role_id'])) {
            validateDeleteRolesByRoleIdUsersInput.errors = basicValidation.validateRoleIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    if (body === undefined) {
        return true;
    }
    if (!basicValidation.validateDeleteRolesByRoleIdUsersRequestBodyRequest(body)) {
        validateDeleteRolesByRoleIdUsersInput.errors = basicValidation.validateDeleteRolesByRoleIdUsersRequestBodyRequest.errors;
        return false;
    }
    return true;
}
exports.validateDeleteRolesByRoleIdUsersInput = validateDeleteRolesByRoleIdUsersInput;
/**
 * This function validates the outputs to a DELETE request on /roles/{role_id}/users
 */
function validateDeleteRolesByRoleIdUsersOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 204) {
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateDeleteRolesByRoleIdUsersOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validateDeleteRolesByRoleIdUsersOutput = validateDeleteRolesByRoleIdUsersOutput;
/**
 * This function validates the inputs of a GET request on /identity
 */
function validateGetIdentityInput() {
    return true;
}
exports.validateGetIdentityInput = validateGetIdentityInput;
/**
 * This function validates the outputs to a GET request on /identity
 */
function validateGetIdentityOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validateGetIdentityResponse200Response(response.body)) {
            validateGetIdentityOutput.errors = basicValidation.validateGetIdentityResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetIdentityOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validateGetIdentityOutput = validateGetIdentityOutput;
/**
 * This function validates the inputs of a PATCH request on /identity
 */
function validatePatchIdentityInput(body) {
    if (body === undefined) {
        return true;
    }
    if (!basicValidation.validatePatchIdentityRequestBodyRequest(body)) {
        validatePatchIdentityInput.errors = basicValidation.validatePatchIdentityRequestBodyRequest.errors;
        return false;
    }
    return true;
}
exports.validatePatchIdentityInput = validatePatchIdentityInput;
/**
 * This function validates the outputs to a PATCH request on /identity
 */
function validatePatchIdentityOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validatePatchIdentityResponse200Response(response.body)) {
            validatePatchIdentityOutput.errors = basicValidation.validatePatchIdentityResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePatchIdentityOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validatePatchIdentityOutput = validatePatchIdentityOutput;
/**
 * This function validates the inputs of a POST request on /register
 */
function validatePostRegisterInput(body) {
    if (!basicValidation.validatePostRegisterRequestBodyRequest(body)) {
        validatePostRegisterInput.errors = basicValidation.validatePostRegisterRequestBodyRequest.errors;
        return false;
    }
    return true;
}
exports.validatePostRegisterInput = validatePostRegisterInput;
/**
 * This function validates the outputs to a POST request on /register
 */
function validatePostRegisterOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 201) {
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePostRegisterOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
exports.validatePostRegisterOutput = validatePostRegisterOutput;
//# sourceMappingURL=requestValidation.js.map